Pagina 1 di 2 1 2 ultimoultimo
Visualizzazione dei risultati da 1 a 10 su 15

Discussione: Pom.xml errato?

  1. #1
    Utente di HTML.it
    Registrato dal
    Jan 2007
    Messaggi
    503

    Pom.xml errato?

    Buon pomeriggio,
    sto cercando di creare un micro-servizio. Per generare esso ho utilizzato SpringIntializer........
    Ma ottengo, stranamente, un errore nel file pom.xml come si può vedere in figura:

    codice:
    <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    
    
    <groupId>com.AccountMicroservices</groupId>
    <artifactId>AccountMicroservice</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <packaging>jar</packaging>
    
    
    <name>AccountMicroservice</name>
    <description>Microservice in SpringBoot</description>
    
    
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>1.5.7.RELEASE</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    
    
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
    </properties>
    
    
    <dependencies>
        <dependency>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-data-jpa</artifactId>
        </dependency>
        <dependency>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
    
    
        <dependency>
        <groupId>com.h2database</groupId>
        <artifactId>h2</artifactId>
        <scope>runtime</scope>
        </dependency>
        <dependency>
        <groupId>org.projectlombok</groupId>
        <artifactId>lombok</artifactId>
        <optional>true</optional>
        </dependency>
        <dependency>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-test</artifactId>
        <scope>test</scope>
        </dependency>
        <dependency>
        <groupId>org.jasypt</groupId>
        <artifactId>jasypt</artifactId>
        <version>1.9.2</version>
        </dependency>
        <dependency>
        <groupId>io.jsonwebtoken</groupId>
        <artifactId>jjwt</artifactId>
        <version>0.7.0</version>
        </dependency>
     </dependencies>
    
    
     <build>
        <plugins>
        <plugin>
              <groupId>org.springframework.boot</groupId>
           <artifactId>spring-boot-maven-plugin</artifactId>
        </plugin>
       </plugins>
    </build>
     </project>
    
    In particolare, ottengo un errore nella prima riga del file del tipo : "Error parsing lifecycle processing instructions"

  2. #2
    Quote Originariamente inviata da tulipan Visualizza il messaggio
    Buon pomeriggio,
    In particolare, ottengo un errore nella prima riga del file del tipo : "Error parsing lifecycle processing instructions"
    Innanzitutto fai un Maven→Update Project... per sicurezza.

    Se la questione rimane, precisa almeno:
    - versione di Java (quello usato da Eclipse ... si vede che il target del progetto è Java 8)
    - versione di Eclipse
    - versione di Maven (presumo sia quello integrato in Eclipse, vedi Window→Preferences, Maven→Installations)

    Prova anche a fare il build "a mano" FUORI da Eclipse direttamente con Maven (purtroppo non è facile usare lo stesso Maven dentro Eclipse, io generalmente ho anche una "mia" installazione di Maven fuori da Eclipse).

    P.S: ho provato esattamente il tuo pom (mantenendo perfettamente groupId/artifactId) in un progetto nuovo con Eclipse 2019-12 e Oracle JDK 8 (build 241) e ... NON ho alcun errore sul pom.
    AndreaSenior Java developerSCJP 5 (91%) – SCWCD 5 (94%)
    Il mio nuovo sito-blog italiano sulla programmazione: andbin.it

  3. #3
    Utente di HTML.it
    Registrato dal
    Jan 2007
    Messaggi
    503
    Ciao, ho provato ad effettuare un Maven→Update Project... ma niente da fare!
    Ti specifico allora le caratteristiche da te richieste:
    1. versione di Java -> 8
    2. uso Eclipse Spring Tool Suite ver. 3.8.3
    3. Uso la versione di Maven non quella integrata di Eclipse STS ma l'ho installato esternamente all'IDE .

    Come faccio a fare il build "a mano" fuori da Eclipse? (scusa l'ignoranza....)

    Grazie
    Tulipan


  4. #4
    Quote Originariamente inviata da tulipan Visualizza il messaggio
    Ti specifico allora le caratteristiche da te richieste:
    1. versione di Java -> 8
    2. uso Eclipse Spring Tool Suite ver. 3.8.3
    3. Uso la versione di Maven non quella integrata di Eclipse STS ma l'ho installato esternamente all'IDE .
    Premetto che è da parecchio che non uso un Eclipse STS, non so ora quella versione cosa porta ...
    Va bene se usi un Maven esterno ma poi hai configurato il STS per usare quello?

    Quote Originariamente inviata da tulipan Visualizza il messaggio
    Come faccio a fare il build "a mano" fuori da Eclipse? (scusa l'ignoranza....)
    Ammesso che le "solite" impostazioni delle variabili PATH e JAVA_HOME e MAVEN_HOME siano a posto, banalmente nella directory del progetto:

    mvn compile
    AndreaSenior Java developerSCJP 5 (91%) – SCWCD 5 (94%)
    Il mio nuovo sito-blog italiano sulla programmazione: andbin.it

  5. #5
    Utente di HTML.it
    Registrato dal
    Jan 2007
    Messaggi
    503
    si, ho configurato Eclipse STS in modo che esso punti al Maven esterno.
    Provo a fare il build del progetto.....Grazie.

    saluti
    tulipan

  6. #6
    Utente di HTML.it
    Registrato dal
    Jan 2007
    Messaggi
    503
    Buongiorno,
    ho provato a fare il build del progetto dall'estero del STS e io , invece, ottengo un errore.
    Mi chiedo: "Potrebbe essere necessario di effettuare una pulitura della cartella m2?".
    Attendo tue.
    tulipan

  7. #7
    Utente di HTML.it
    Registrato dal
    Jan 2007
    Messaggi
    503
    cambiando IDE ......e quindi non utilizzando più Eclipse STS ma IntelliJ IDEA ho risolto il problema......non ne conosco il motivo !

    Grazie tante!

    saluti
    tulipan

  8. #8
    Quote Originariamente inviata da tulipan Visualizza il messaggio
    ho provato a fare il build del progetto dall'estero del STS e io , invece, ottengo un errore.
    QUALE errore? E inoltre, quale versione di Maven usi? (da prompt: mvn -v)

    Quote Originariamente inviata da tulipan Visualizza il messaggio
    cambiando IDE ......e quindi non utilizzando più Eclipse STS ma IntelliJ IDEA ho risolto il problema......non ne conosco il motivo !
    Ma no dai ... non si cambia IDE solo per un problema (che comunque non sembra tanto legato al STS, dato che hai un problema anche fuori)


    Altra domanda ma giusto per capire (l'ho notato solo stamattina): perché stai usando uno Spring Boot abbastanza "vecchio" (1.5.7)? C'è un motivo specifico?
    AndreaSenior Java developerSCJP 5 (91%) – SCWCD 5 (94%)
    Il mio nuovo sito-blog italiano sulla programmazione: andbin.it

  9. #9
    Utente di HTML.it
    Registrato dal
    Jan 2007
    Messaggi
    503
    Ecco cosa ottengo facendo il build esternamente:

    codice:
    [ERROR] [ERROR] Some problems were encountered while processing the POMs:
    [FATAL] Non-parseable POM C:\Users\utente\.m2\repository\org\springframework\boot\spring-boot-dependencies\1.5.7.RELEASE\spring-boot-dependencies-1.5.7.RELEASE.pom: end tag not allowed in epilog but got / (position: END_TAG seen ...</build>\n</project>\t\t\t</... @2724:16)  @ C:\Users\utente\.m2\repository\org\springframework\boot\spring-boot-dependencies\1.5.7.RELEASE\spring-boot-dependencies-1.5.7.RELEASE.pom, line 2724, column 16
     @
    [ERROR] The build could not read 1 project -> [Help 1]
    [ERROR]
    [ERROR]   The project com.quicktutorials.learnmicroservices:AccountMicroservice:0.0.1-SNAPSHOT (C:\pukify\AccountMicroservice\pom.xml) has 1 error
    [ERROR]     Non-parseable POM C:\Users\utente\.m2\repository\org\springframework\boot\spring-boot-dependencies\1.5.7.RELEASE\spring-boot-dependencies-1.5.7.RELEASE.pom: end tag not allowed in epilog but got / (position: END_TAG seen ...</build>\n</project>\t\t\t</... @2724:16)  @ C:\Users\utente\.m2\repository\org\springframework\boot\spring-boot-dependencies\1.5.7.RELEASE\spring-boot-dependencies-1.5.7.RELEASE.pom, line 2724, column 16 -> [Help 2]
    [ERROR]
    [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
    [ERROR] Re-run Maven using the -X switch to enable full debug logging.
    [ERROR]
    [ERROR] For more information about the errors and possible solutions, please read the following articles:
    [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildingException
    [ERROR] [Help 2] http://cwiki.apache.org/confluence/display/MAVEN/ModelParseException

  10. #10
    Quote Originariamente inviata da tulipan Visualizza il messaggio
    [ERROR] Non-parseable POM C:\Users\utente\.m2\repository\org\springframework \boot\spring-boot-dependencies\1.5.7.RELEASE\spring-boot-dependencies-1.5.7.RELEASE.pom: end tag not allowed in epilog but got / (position: END_TAG seen ...</build>\n</project>\t\t\t</... @2724:16) @ C:\Users\utente\.m2\repository\org\springframework \boot\spring-boot-dependencies\1.5.7.RELEASE\spring-boot-dependencies-1.5.7.RELEASE.pom, line 2724, column 16 -> [Help 2]
    A me sembra tanto un pom scaricato "corrotto". Tutto qui. Io ho quel pom (ho provato il tuo pom ieri) e termina correttamente con </project>

    Vai in
    C:\Users\utente\.m2\repository\org\springframework \boot\spring-boot-dependencies

    e elimina proprio tutta la cartella 1.5.7.RELEASE e .... riprova il build.
    AndreaSenior Java developerSCJP 5 (91%) – SCWCD 5 (94%)
    Il mio nuovo sito-blog italiano sulla programmazione: andbin.it

Permessi di invio

  • Non puoi inserire discussioni
  • Non puoi inserire repliche
  • Non puoi inserire allegati
  • Non puoi modificare i tuoi messaggi
  •  
Powered by vBulletin® Version 4.2.1
Copyright © 2020 vBulletin Solutions, Inc. All rights reserved.